Skip to content

Public Client Pages API

The Public Client Pages API returns public directory data for organizations using Bombyx Website Assistant.

This API is public. It does not use a tool connector token.

Terminal window
curl "https://bombyxlabs.com/api/bombyx-client-pages?sort=name&per_page=9"

Query parameters:

Name What it does
q Search text
sort name, newest, or updated
per_page 1 to 24
page Page number

Example response:

{
"meta": {
"title": "Bombyx Labs Clients",
"description": "Explore organizations using Bombyx Website Assistant on their public websites.",
"canonical_url": "https://bombyxlabs.com/clients"
},
"filters": {
"q": "",
"sort": "name",
"sort_options": {
"name": "Name",
"newest": "Newest",
"updated": "Recently updated"
}
},
"clients": [
{
"name": "Example Company",
"slug": "example-company",
"url": "https://bombyxlabs.com/clients/example-company",
"website_url": "https://example.com",
"website_host": "example.com",
"allowed_domain": "example.com",
"published_at": "2026-07-05",
"organization_summary": "Example Company helps customers with practical support.",
"assistant_use_summary": "The assistant answers common website questions."
}
],
"pagination": {
"current_page": 1,
"last_page": 1,
"per_page": 9,
"total": 1,
"links": []
},
"total": 1,
"summary": "1 eligible client"
}
Terminal window
curl https://bombyxlabs.com/api/bombyx-client-pages/example-company

Example response:

{
"meta": {
"title": "Example Company Website Assistant",
"description": "Learn how Example Company uses Bombyx.",
"canonical_url": "https://bombyxlabs.com/clients/example-company"
},
"organization": {
"name": "Example Company",
"slug": "example-company",
"website_url": "https://example.com",
"website_host": "example.com"
},
"chatbot": {
"name": "Example Assistant",
"published_at": "2026-07-05",
"allowed_domain": "example.com"
},
"client_page": {
"slug": "example-company",
"url": "https://bombyxlabs.com/clients/example-company",
"status": "published",
"updated_at": "2026-07-05T18:30:00.000000Z"
},
"content": {
"organization_summary": "Example Company helps customers with practical support.",
"assistant_use_summary": "The assistant answers common website questions."
}
}
  • Expecting hidden or unpublished client pages to appear.
  • Treating the public client pages API like a private organization Brain API.
  • Using a tool connector bearer token. This endpoint does not need one.